SoRefPtr< T >(3)

NAME
SoRefPtr< T >

SYNOPSIS

  Public Member Functions
SoRefPtr (T *p)
SoRefPtr (const SoRefPtr &other)
SoRefPtr (SoRefPtr &&other) noexcept
SoRefPtr & operator= (SoRefPtr other) noexcept
void reset (T *p=NULL)
T * get (void) const noexcept
T & operator* (void) const
T * operator-> (void) const noexcept
operator bool (void) const noexcept
void swap (SoRefPtr &other) noexcept

Author

Generated automatically by Doxygen for Coin from the source code.